%global nodejs_sitelib /usr/lib/node_modules

Summary:       A Kibana Visualization plugin to add OpenShift specific requirements
Name:          origin-kibana
Version:       0.6.0
Release:       1%{?dist}
License:       ASL 2.0
URL:           https://github.com/openshift/origin-kibana
Source0:       https://github.com/openshift/origin-kibana/archive/v%{version}.tar.gz
Source1:       logo-enterprise-thin.svg
BuildArch:     noarch
BuildRequires: nodejs-packaging
BuildRequires: nodejs-devel
BuildRequires: nodejs-grunt
BuildRequires: nodejs-grunt-cli
BuildRequires: nodejs-grunt-contrib-clean
BuildRequires: nodejs-grunt-contrib-copy
BuildRequires: nodejs-grunt-contrib-less
BuildRequires: nodejs-patternfly >= 2.2.0
Requires:      nodejs-patternfly >= 2.2.0

%description
This repo provide a plugin to the Kibana Visualization tool 
to add OpenShift specific requirements. 
The main features added by this plugin are:

 * Origin skinning

Currently compatible with the 4.1.x code stream of Kibana

%prep
%setup -q -n %{name}-%{version}

%build
# We need to make the main.ccs file
mkdir bower_components node_modules
ln -s /usr/lib/node_modules/patternfly bower_components/
ln -s /usr/lib/node_modules/grunt* node_modules/
grunt less

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
rm -f lib/styles/{fonts,fa-fonts}
ln -s %{nodejs_sitelib}/patternfly/dist/fonts lib/styles/fonts
ln -s %{nodejs_sitelib}/patternfly/components/font-awesome/fonts lib/styles/fa-fonts
cp -pr lib bower.json Gruntfile.js package.json %{buildroot}%{_datadir}/%{name}
cp -p %{SOURCE1} %{buildroot}%{_datadir}/%{name}/lib/images/logo-origin-thin.svg


%files
%doc LICENSE README.md
%{_datadir}/%{name}

%changelog
* Mon Jun 27 2016 Troy Dawson <tdawson@redhat.com> - 0.6.0-1
- Update to 0.6.0

* Wed Jan 06 2016 Troy Dawson <tdawson@redhat.com> - 0.5.0-1
- Update to 0.5.0
- Use grunt to create the lib/styles/main.css file

* Tue Nov 10 2015 Troy Dawson <tdawson@redhat.com> - 0.4-3
- Fixup spec file

* Mon Nov 09 2015 Troy Dawson <tdawson@redhat.com> - 0.4-2
- Use the enterprise logo (#1278704)

* Wed Nov 04 2015 Troy Dawson <tdawson@redhat.com> - 0.4-1
- Update to 0.4
- rpm version changed to match upstream release numbering

* Wed Nov 04 2015 Troy Dawson <tdawson@redhat.com> - 0.0.3-1
- Update to 0.0.3

* Wed Nov 04 2015 Troy Dawson <tdawson@redhat.com> - 0.0.2-1
- Update to 0.0.2

* Wed Sep 16 2015 Troy Dawson <tdawson@redhat.com> - 0.0.1-1
- Initial package (created from openshift-kibana)
